Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.groovydoc
Class SimpleGroovyAnnotationRef

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.SimpleGroovyAnnotationRef

All Implemented Interfaces:
  GroovyAnnotationRef

    public class SimpleGroovyAnnotationRef

extends Object
implements GroovyAnnotationRef

Constructor Summary
`SimpleGroovyAnnotationRef(String name, String desc)`

Method Summary
`String` | `description()` The string representation of the annotation reference.
`String` | `name()` Name of the annotation being referenced.
`void` | `setName(String name)`
`void` | `setType(GroovyClassDoc type)`
`GroovyClassDoc` | `type()` The annotation being referenced.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleGroovyAnnotationRef

    public SimpleGroovyAnnotationRef(String name,
                                     String desc)

Method Detail

### setType

    public void setType(GroovyClassDoc type)

### type

    public GroovyClassDoc type()

  Description copied from interface: `GroovyAnnotationRef`
  The annotation being referenced.

  Specified by:
    `type` in interface `GroovyAnnotationRef`
  Returns:
    the annotation being referenced

### name

    public String name()

  Description copied from interface: `GroovyAnnotationRef`
  Name of the annotation being referenced. Once resolved, equates to `type().typeName()`.

  Specified by:
    `name` in interface `GroovyAnnotationRef`
  Returns:
    the name of the annotation reference

### setName

    public void setName(String name)

### description

    public String description()

  Description copied from interface: `GroovyAnnotationRef`
  The string representation of the annotation reference. Initially implemented as a temporary hack stored from the source. To be replaced with strong-typed finer grained information.

  Specified by:
    `description` in interface `GroovyAnnotationRef`
  Returns:
    the text representation of the annotaiton ref

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2009 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD